Page MenuHomePhabricator

Please unblock stuck global rename
Closed, ResolvedPublic

Description

The rename of FoldDownPro → MichaelOBFDP at 20:13, 18 April 2019 has stuck at metawiki. Please see https://meta.wikimedia.org/wiki/Special:GlobalRenameProgress/MichaelOBFDP

Event Timeline

1997kB created this task.Apr 21 2019, 8:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Is there any update on this? The rename is stuck for a week so far, while other renames have been going fine. I suppose the user is not able to login at this moment since the rename is not finished.

Urbanecm triaged this task as High priority.Apr 25 2019, 7:54 PM
Urbanecm added subscribers: Legoktm, Tgr, Urbanecm.

At least High priority, if not UBN. cc @Legoktm, who had resolved previous ticket. Also cc @Tgr, who had helped with other tickets about this, according to my memories :). I'm sorry for any inconviniences. For anyone with shell access, see https://wikitech.wikimedia.org/wiki/Stuck_global_renames for guide how to fix this.

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptApr 25 2019, 7:54 PM
Tgr added a subscriber: Krinkle.Apr 25 2019, 9:04 PM

There are a couple of Failed creating job from description / Title : is invalid errors for the LocalRenameUserJob job at the exact time when the renames stopped (20:39), so this is probably the same bug that @Krinkle fixed for MassMessage in T221570: MassMessage failing with "to Special: was skipped because target was in a namespace that cannot be posted in". (sample)

Tgr added a comment.Apr 25 2019, 9:10 PM

Or maybe not... anyway there was a one-time spike of these errors around the 18th (dashboard) and none since so whatever the underlying issue was, it should be fixed now. I'll run the script.

Mentioned in SAL (#wikimedia-operations) [2019-04-25T21:12:01Z] <tgr> T221516 running mwscript extensions/CentralAuth/maintenance/fixStuckGlobalRename.php --wiki=metawiki --logwiki=metawiki 'FoldDownPro' 'MichaelOBFDP'

Tgr closed this task as Resolved.Apr 25 2019, 9:12 PM
Tgr claimed this task.